> ## Documentation Index
> Fetch the complete documentation index at: https://dotsdev.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Payout Batch with detailed results

> Get a payout batch by its id. Returns detailed results for each item in the batch, including transfer information for successful payouts and error messages for failed ones.



## OpenAPI

````yaml /v2.yaml get /v2/payout-batches/{payout_batch_id}/results
openapi: 3.1.0
info:
  title: dots api
  version: '1.0'
  summary: Dots Payout API
  description: Scalable and Flexible Payouts Infrastructure
  contact:
    name: Kartikye Mittal
    url: https://dots.dev
    email: info@dots.dev
  license:
    name: MIT
    url: https://opensource.org/license/mit/
servers:
  - url: https://api.dots.dev/api
    description: Production
security:
  - api_key: []
tags:
  - name: accounts-payable
    description: Accounts Payable Routes
  - name: apps
    description: App Routes
  - name: flows
    description: Flow routes
  - name: organizations
    description: Organization Routes
  - name: payment-customers
    description: Payment Customer Routes
  - name: payments
    description: Payment Routes
  - name: payout-batches
    description: Payout Batch Routes
  - name: payout-links
    description: Payout Link Routes
  - name: payout-requests
    description: Payout Request Routes
  - name: payouts
    description: Payout Routes
  - name: transactions
    description: Transaction Routes
  - name: transfer-batches
    description: Transfer Batch routes
  - name: transfers
    description: Transfer routes
  - name: users
    description: User routes
paths:
  /v2/payout-batches/{payout_batch_id}/results:
    parameters:
      - schema:
          type: string
          format: uuid
        name: payout_batch_id
        in: path
        required: true
        description: Id of the payout batch to fetch
    get:
      tags:
        - payout-batches
      summary: Retrieve a Payout Batch with detailed results
      description: >-
        Get a payout batch by its id. Returns detailed results for each item in
        the batch, including transfer information for successful payouts and
        error messages for failed ones.
      operationId: get-payout-batch
      parameters:
        - schema:
            type: boolean
            default: false
          in: query
          name: include_request
          description: >-
            Include the original request data for each item in the response.
            This can be useful for debugging or reconciliation.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/payout-batch-response'
                  - type: object
                    properties:
                      items:
                        type: array
                        description: Results for each item in the batch.
                        items:
                          $ref: '#/components/schemas/payout-batch-results-item'
                    required:
                      - items
                description: The payout batch with detailed results for each item.
components:
  schemas:
    payout-batch-response:
      title: payout-batch-response
      type: object
      description: Basic payout batch response
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the payout batch.
        created:
          type: string
          format: date-time
          description: Timestamp when the batch was created.
        idempotency_key:
          type: string
          format: uuid
          description: The idempotency key provided when creating the batch.
        status:
          type: string
          enum:
            - created
            - processing
            - paying_out
            - completed
          description: Current status of the batch processing.
        metadata:
          type:
            - string
            - object
          description: The metadata attached to the batch.
      required:
        - id
        - created
        - status
    payout-batch-results-item:
      title: payout-batch-results-item
      type: object
      description: Result for an individual item in a payout batch
      properties:
        user_id:
          type: string
          format: uuid
          description: ID of the user for this payout.
        idempotency_key:
          type: string
          format: uuid
          description: The idempotency key for this specific item.
        metadata:
          type:
            - string
            - object
          description: The metadata attached to this item.
        transfer:
          type: object
          description: Transfer information if the payout was successful.
          properties:
            id:
              type: string
              format: uuid
              description: ID of the transfer created for this batch item.
            status:
              type: string
              enum:
                - created
                - pending
                - failed
                - completed
                - reversed
                - canceled
                - flagged
              description: Current status of the transfer.
          required:
            - id
            - status
        error_code:
          type: string
          description: Error code if the payout failed.
        error_message:
          type: string
          description: Error message if the payout failed.
        request:
          $ref: '#/components/schemas/payout-batch-request-item'
          description: >-
            Original request for this item (only included when
            include_request=true).
      required:
        - user_id
        - idempotency_key
    payout-batch-request-item:
      title: payout-batch-request-item
      type: object
      description: Individual payout item in a batch request
      allOf:
        - $ref: '#/components/schemas/payout-create-request'
        - required:
            - idempotency_key
            - fund
    payout-create-request:
      title: payout-create-request
      type: object
      description: Base schema for creating a payout
      properties:
        user_id:
          type: string
          format: uuid
          description: ID of the `user` who you are creating the payout for.
        amount:
          type: integer
          exclusiveMinimum: 0
          description: Amount in cents to payout the user.
        platform:
          type: string
          enum:
            - paypal
            - venmo
            - ach
            - bank_transfer
            - cash_app
            - default
          description: Platform that you are paying out the `user` through.
        account_id:
          type: string
          format: uuid
          description: >-
            The bank account ID you are paying to. Required for `ach` and
            `intl_bank`.
        fund:
          type: boolean
          description: >-
            Creates a transfer for the amount to the user before creating the
            payout. The funds are returned to the App Wallet if the payout does
            not succeed. Please ensure that you are handling transfer failure
            webhooks when using this option.
        tax_exempt:
          type: boolean
          description: >-
            Payouts marked as `tax_exempt` will not be counted towards the 1099
            threshold. Can be `true` only if `fund` is `true`.
        idempotency_key:
          type: string
          format: uuid
          description: >-
            UUID that will be used to idempotently handle requests. Transfers
            with existing idempotency keys will be rejected.
        metadata:
          description: >-
            Set of key-value pairs that you can attach to an object. This can be
            useful for storing additional information about the object in a
            structured format.
          type:
            - string
            - object
        payout_fee_party:
          type: string
          enum:
            - user
            - platform
          description: >-
            Overrides the setting for which party will pay fees on this payout.
            This takes precedence over the default for your application.
      required:
        - user_id
        - amount
        - platform
  securitySchemes:
    api_key:
      type: http
      scheme: basic

````